#
# spec file for package build-compare (Version 2009.10.14)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           build-compare
License:        GPL v2 or later
Group:          Development/Tools/Building
AutoReqProv:    on
Summary:        Build Result Compare Script
Version:        2009.10.14
Release:        6.1
Source:         same-build-result.sh
Source1:        rpm-check.sh
Source2:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains scripts to find out if the build result differs
to a former build.



%prep
mkdir $RPM_BUILD_DIR/%name-%version
%setup -T 0 -D

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/build/ $RPM_BUILD_ROOT/%_defaultdocdir/%name
install -m 0755 %SOURCE0 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/build/
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%_defaultdocdir/%name/

%files
%defattr(-,root,root)
%doc %_defaultdocdir/%name
/usr/lib/build

%changelog
* Thu Oct 22 2009 coolo@novell.com
- take out debugging code
* Wed Oct 14 2009 aj@suse.de
- Replace external /usr/bin/unrpm by small function to get
  rid of dependency of build.rpm.
* Thu Sep 24 2009 aj@suse.de
- Add comments.
* Wed Sep 23 2009 aj@suse.de
- Handle noarch subpackage in sort correctly.
* Tue Aug 25 2009 mls@suse.de
- the COPYRIGHT tag does not exist, map it back to LICENSE to
  be backward compatible
* Mon Aug 17 2009 aj@suse.de
- Handle texi2html output.
* Thu Aug  6 2009 aj@suse.de
- adjust gjdoc sed to match "August 1" and similar one-digit days.
* Tue Aug  4 2009 aj@suse.de
- Compare mono files with cmp, just in case (handles rfc).
* Sun Aug  2 2009 aj@suse.de
- Sort jar filelists before compare.
* Mon Jul 27 2009 aj@suse.de
- Fail rpm-check if unrpm does not exist (noticed with package
  build).
* Sun Jul 26 2009 aj@suse.de
- Fix problem found with building gettext-tools: tar packages
  directories.
* Thu Jul 23 2009 aj@suse.de
- Update version number.
* Tue Jul 21 2009 aj@suse.de
- Handle emacs bytecompiled files.
- Handle /usr/share/man/man3/*3pm perl man pages.
- Handle /var/adm/perl-modules/*.
- Handle fonts.dir, fonts.scale and encoding.dir.
* Tue Jul 21 2009 aj@suse.de
- Add return value for .a case so that it can succeed.
* Mon Jul 20 2009 aj@suse.de
- Fix typo in same-build-results.sh
- Ignore javadoc build stamp in javadoc html files.
- Use jar,fastjar or unzip to extract jar files.
* Wed Jul 15 2009 coolo@novell.com
- overwrite duplicated files in zip files
* Tue Jul 14 2009 coolo@novell.com
- support .jar and .zip files
- fix support of gzipped files
* Mon May  4 2009 coolo@suse.de
- compare content of *.tar too
* Mon May  4 2009 coolo@suse.de
- if objdump fails, fall back to hexdump (bnc#489965)
* Mon May  4 2009 coolo@suse.de
- ignore dates in mo files (bnc#489198)
* Tue Apr 28 2009 mmarek@suse.cz
- rpm-check.sh: add option --check-all to check all packaged files
  (useful for debugging)
* Sun Feb  8 2009 coolo@suse.de
- fix handling of hardlinks to compressed files
* Sat Feb  7 2009 coolo@suse.de
- fix handling of -32bit and -64bit
* Sat Feb  7 2009 coolo@suse.de
- fix command line order
* Fri Feb  6 2009 coolo@suse.de
- use --no-show-raw-insn for objdump -d
* Fri Feb  6 2009 coolo@suse.de
- hopefully fixed shell quoting for rpm command line
* Thu Feb  5 2009 coolo@suse.de
- fix 2 bugs
- don't ignore source rpms - changed sources should output
  changed source rpms, no matter if they create the same binaries
  (think of changed copyright header in spec files)
* Tue Jan 27 2009 adrian@suse.de
- Create initial package based on the work of Matz and Coolo
  This package provides script for the main build script to be able
  to check if a new build has the same result than the former one.
  The Build Service is able to skip the new build than.
- changes in source rpms are currently ignored, is that okay ?
